Go语言:它的习惯用法似乎是把你的一堆错误串成一个大字符串,这样你就得到了一长串的像这样的错误提示:“error:第一个错误:error:第二个错误:error:第二个错误”。它工作得很好,但是它的错误信息的结构比failure库能提供的要差得多。

Java语言:我听说Java可以给出异常的原因, 但是我自己没有用过。

Python 3:你可以使用raise ... from设置异常的“__cause__”属性,然后你的异常将被这句话分开:The above exception was the direct cause of the following exception:..